# Lightly

Lightly is a PIP package for self-supervised active learning.

> We, at [Lightly](https://www.lightly.ai), are passionate engineers who want to make deep learning more efficient. We want to help popularize the use of self-supervised methods to understand and filter raw image data. Our solution can be applied before any data annotation step and the learned representations can be used to analyze and visualize datasets as well as for selecting a core set of samples.

> Coming soon: Our active-learning library is powered by state-of-the-art algorithms to help you with interactive learning loops.

If you are curious to learn more about our work - check out [Lightly](https://www.lightly.ai)!

## Installation

```
pip install lightly
```

## Dependencies
- hydra-core >= 1.0.0
- numpy >= 1.18.1
- pytorch_lightning
- requests >= 2.23.0
- torchvision
- tqdm


## Links
- [Homepage](https://www.lightly.ai)
- [Web-App](https://app.lightly.ai)
- [Documentation](https://www.notion.so/whattolabel/WhatToLabel-Documentation-28e645f5564a453e807d0a384a4e6ea7)
- [Github](https://github.com/lightly-ai/lightly)
- [Discord](https://discord.gg/xvNJW94)